#ifndef BUTTERFLYALARMCLOCK_H
#define BUTTERFLYALARMCLOCK_H

#include <stdio.h>
#include <inttypes.h>
#define F_CPU 1000000UL
#include <util/delay.h>

#define TRUE 1
#define FALSE 0

uint8_t isAlarm = 0;

volatile char RTC_buffer[7];
volatile char Alarm_buffer[7];

void rtcInit(void);  
void showClock(void);
void showAlarm(void);
void delay(unsigned int millisec);
void alarm(void);
void setRTC(void);
void setAlarm(void);
void beeper(void);
void setClockToZero(void);

#endif
