#ifndef SMWS7_H
#define SMWS7_H

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdbool.h>

#define KEY_NULL    0
#define KEY_ENTER   1
#define KEY_NEXT    2
#define KEY_PREV    3
#define KEY_PLUS    4
#define KEY_MINUS   5

static volatile uint8_t	 KEY;		//buffer containing virtual key pressed
static volatile uint8_t	 KEY_VALID;	//key valid (debounced) flag


void lcdPutString(const char *Data); 
void lcdShowColons(const uint8_t ColonsOn);

uint8_t getkey(void);

void smws7Init(void);
void parseKey(uint8_t key);

#endif
